Page MenuHomePhabricator

efl_ui_frame: migrate to efl.ui.clickable
ClosedPublic

Authored by bu5hm4n on May 5 2019, 3:01 AM.

Details

Summary

frame now uses efl.ui.clickable, which ensures correct click emittion.
The click event is not needed in the event anymore. However, now
efl,action,press / efl,action,unpress is needed.

Depends on D8825

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.May 5 2019, 3:01 AM
bu5hm4n requested review of this revision.May 5 2019, 3:01 AM
bu5hm4n updated this revision to Diff 21961.May 6 2019, 7:41 AM
bu5hm4n edited the summary of this revision. (Show Details)

Rebase & update according to xavi review

bu5hm4n updated this revision to Diff 21994.May 7 2019, 2:54 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 22000.May 7 2019, 2:55 AM

Add zoomable to tests, and publish the required rebase, sorry Xavi :|

bu5hm4n updated this revision to Diff 22108.May 12 2019, 2:18 AM

Rebase & update

zmike requested changes to this revision.May 13 2019, 11:49 AM
zmike added inline comments.
data/elementary/themes/edc/efl/frame.edc
134–141

This code was originally wrong and should have used an explicit click event. This new code is similarly wrong.

This revision now requires changes to proceed.May 13 2019, 11:49 AM
bu5hm4n updated this revision to Diff 22159.May 14 2019, 1:55 AM

Make press,move-out-of-widget,unpress scenarios work take 2

bu5hm4n updated this revision to Diff 22179.May 14 2019, 10:54 AM

update to new API names

bu5hm4n updated this revision to Diff 22190.May 14 2019, 11:21 AM

update to new API names, redo

zmike requested changes to this revision.May 14 2019, 12:46 PM

My previous comment was not addressed.

This revision now requires changes to proceed.May 14 2019, 12:46 PM
bu5hm4n requested review of this revision.May 14 2019, 1:04 PM

Then you have to specify what you meant, before this directly emitted the clicked event. This is now not anymore the case, press and unpress is done from here, and according to that the clicked event is emitted (if there was no moving out). So right now, this works correctly afaics.

zmike accepted this revision.May 15 2019, 6:08 AM
This revision is now accepted and ready to land.May 15 2019, 6:08 AM
Closed by commit rEFL81d8d8ee5580: efl_ui_frame: migrate to efl.ui.clickable (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMay 15 2019, 6:09 AM
This revision was automatically updated to reflect the committed changes.